%define _unitdir_user /usr/lib/systemd/user
%define _udev_libdir /usr/lib/udev
Name:       mobile-shell
Summary:    Weston Shell for Mobile
Version:    0.0.1
Release:    1
Group:      Graphics & UI Framework
License:    MIT
URL:        ""
Source0:    %{name}-%{version}.tar.bz2

BuildRequires: pkgconfig(weston) > 1.2.2
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(xkbcommon) >= 0.0.578
BuildRequires: pkgconfig(glesv2)
BuildRequires: wayland-devel
Requires: weston > 1.2.2

%description
Weston Plugins for Mobile

%package devel
Summary:    Development files for %{name}
Group:      Graphics & UI Framework/Development
Requires:   %{name} = %{version}-%{release}

%description devel
Development files that expose the wayland extended protocols for Mobile.

%prep
%setup -q -n %{name}-%{version}

%build
%autogen

%configure
make %{?_smp_mflags}

%install
%make_install

# configurations
%define weston_conf %{_sysconfdir}/xdg/weston
mkdir -p %{buildroot}%{weston_conf} > /dev/null 2>&1
install -m 0644 settings/weston.ini %{buildroot}%{weston_conf}
install -d %{buildroot}/%{_unitdir_user}/weston.target.wants
install -m 644 settings/weston.service %{buildroot}%{_unitdir_user}/weston.service
install -m 644 settings/weston.target %{buildroot}%{_unitdir_user}/weston.target
ln -sf ../weston.service %{buildroot}/%{_unitdir_user}/weston.target.wants/

mkdir -p $RPM_BUILD_ROOT/etc/profile.d/
install -m 777 settings/weston.sh $RPM_BUILD_ROOT/etc/profile.d/weston.sh

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/
install -m 755 settings/weston-client-env $RPM_BUILD_ROOT/etc/sysconfig/

mkdir -p $RPM_BUILD_ROOT/usr/share/X11/
tar xvfz settings/xkb.tar.gz -C $RPM_BUILD_ROOT/usr/share/X11/


mkdir -p $RPM_BUILD_ROOT/%{_udev_libdir}/rules.d
install -m 644 settings/99-tty.rules $RPM_BUILD_ROOT/%{_udev_libdir}/rules.d/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%license COPYING
%dir %{_libdir}/weston/
%{_libdir}/weston/*.so
%{_libdir}/libmobile-weston-plugin.so.*
%{weston_conf}/weston.ini
%{_unitdir_user}/weston.service
%{_unitdir_user}/weston.target
%{_unitdir_user}/weston.target.wants/weston.service
/usr/share/X11/*
/etc/profile.d/weston.sh
/etc/sysconfig/weston-client-env
%attr(0644,root,root) %{_udev_libdir}/rules.d/99-tty.rules

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/input-method-client-protocol.h
%{_includedir}/%{name}/mobile-shell-client-protocol.h
%{_libdir}/libmobile-weston-plugin.so
